QLC X6768 or X6767 PCI Card may fail to power up if an old qlc driver is used

(Doc ID 1007626.1)

Last updated on SEPTEMBER 06, 2016

Applies to:

Sun Storage 2 Gb FC PCI-X HBA, 2 Port, QLogic - Version Not Applicable and later
All Platforms

Symptoms

 In certain configurations, X6768 Crystal-2A or x6767 Amber2 Fibre Channel PCI cards fail to power up. Below is an example of the type of error seen:
---------------------
WARNING: Qlogic qlc(0): /pci@1d,700000/SUNW,qlc@1
adapter initialization failed
WARNING: Device SUNW,qlc0 failed to power up.
WARNING: Please see your system administrator or reboot.
---------------------


The configuration that has exhibited this behavior is as follows:

Solaris[TM] 9
Qlogic Card X6768

Solaris 8[TM] + SAN 4.4.6 installed.
Qlogic Card X6767

When Jumpstart is used to install the OS, on rare occasions it has been found that even though the Qlogic patch level is at the latest revision,
---------------------
drwxr-xr--  2 root  other  512 Aug 19 18:23 113042-10 <-- latest (as of now) QLC
---------------------


the actual driver binary that is being used by the system is an old version,
as shown below

-------
Aug 19 19:16:05 tdevs182 qlc: [ID 486054 kern.info] Qlogic FCA Driver v0.40.5 0): F/W version 2.01.112  <----
Aug 19 19:16:05 tdevs182 qlc: [ID 686697 kern.info] NOTICE: Qlogic qlc(0): Loop OFFLINE
Aug 19 19:16:05 tdevs182 qlc: [ID 995927 kern.warning] WARNING: Qlogic qlc(0): /ssm@0,0/pci@18,600000/SUNW,qlc@1
Aug 19 19:16:05 tdevs182     adapter initialization failed
Aug 19 19:16:05 tdevs182 genunix: [ID 405830 kern.warning] WARNING: Device SUNW,qlc0 failed to power up.
Aug 19 19:16:05 tdevs182 genunix: [ID 749148 kern.warning] WARNING: Please see your system administrator or reboot.
Aug 19 19:16:05 tdevs182 qlc: [ID 313120 kern.warning] WARNING: Qlogic qlc(0): /ssm@0,0/pci@18,600000/SUNW,qlc@1
Aug 19 19:16:05 tdevs182     failed to raise power or initialize adapter
------


If patch 113042-10 is installed then the qlc should have been v20050209-1.47 instead of v0.40.5 (which is very old).

---------
# showrev -p | grep 113042
::
Patch: 113042-10 Obsoletes:  Requires: 113039-06, 113040-12, 113041-08 Incompatibles: 113048-01 Packages: SUNWcsu, SUNWcsr, SUNWcsxu, SUNWqlc, SUNWqlcx, SUNWhea
---------


Messages below reflect the latest driver ( as of now ) version loaded using patch 113042-10

---------
Aug 23 14:27:38 v4u-880g qlc: [ID 171021 kern.info] Qlogic FCA Driver v20050209-1.47 (0)
Aug 23 14:27:38 v4u-880g qlc: [ID 637753 kern.info] NOTICE: qlc(0): Firmware version 2.1.140
Aug 23 14:27:39 v4u-880g qlc: [ID 686697 kern.info] NOTICE: Qlogic qlc(0): Loop ONLINE
Aug 23 14:27:39 v4u-880g pci_pci: [ID 370704 kern.info] PCI-device: SUNW,qlc@4, qlc0
Aug 23 14:27:39 v4u-880g genunix: [ID 936769 kern.info] qlc0 is /pci@8,700000/pci@2/SUNW,qlc@4
-----

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms